Subject: bug#2343: Color highlighting leaves a trail of cursors on the screen

From: David De La Harpe Golden <[email-masked]>
Date: Thu, 19 Feb 2009 06:18:01 +0000

David De La Harpe Golden wrote:

> (whether in emacs or the vte widget I don't  know) 

Try (interactively) typing the following on one of the problematic 
terminal emulators, after doing just doing a "cat" (hit ctrl-c to exit 
when you're done) , say:

a a SPC TAB BACKSPACE = =

(7 keypresses)

On my system with xfce4-terminal (=>libvte), that makes a bit of a 
(transient) mess that I doubt is intended behaviour in the terminal
emulator.

And emacs -nw -Q  does just such a tab backspace sequence (see script 
excerpt) for whatever reason at just the point the artifact shows up, 
though I think the cursor is supposed to be hidden at the time.